Subject: [PATCH 1/4] iio: adc: xilinx: Rename 'channels' variable name to 'iio_xadc_channels'

From: [email-masked] (Jonathan Cameron)
Date: Sat, 21 Jul 2018 17:33:30 +0100

On Sat, 21 Jul 2018 09:22:05 -0700
Joe Perches <[email-masked]> wrote:

> On Sat, 2018-07-21 at 17:18 +0100, Jonathan Cameron wrote:
> > On Thu, 19 Jul 2018 10:22:07 +0200
> > Michal Simek <[email-masked]> wrote:
> >   
> > > On 18.7.2018 13:18, Lars-Peter Clausen wrote:  
> > > > On 07/18/2018 01:12 PM, Manish Narani wrote:    
> > > > > This patch fix the following checkpatch warning in xadc driver.
> > > > > - Reusing the krealloc arg is almost always a bug.
> > > > > 
> > > > > Renamed the 'channels' variable as 'iio_xadc_channels' to fix the above
> > > > > warning.
> > > > >    
> > > > 
> > > > This is a bug in checkpatch and should be fixed in checkpatch. The code is
> > > > not actually re-using the parameter. channels and xadc_channels are
> > > > independent variables, just checkpatch somehow does not realize this.    
> > > 
> > > I think it should be fine to have this patch in tree. Change in commit
> > > message to reflect this should be enough. But that's just view.  
> > 
> > Let's wait and see if Joe has time to take a look at this.  Might be better
> > to fix checkpatch if it's not too hard!  
> 
> I submitted a proposed patch.
> I believe it works.
> 
> https://patchwork.kernel.org/patch/10533011/
> 
Thanks! Should have known you would already have it covered :)
My perl foo goes no where near figuring out how that magic works!

Jonathan